CMSIS-DSP: arm_lms_instance_f32 Struct Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_lms_instance_f32 Struct Reference

Instance structure for the floating-point LMS filter.

## Data Fields

uint16_t | numTaps
float32_t * | pState
float32_t * | pCoeffs
float32_t | mu

## Field Documentation

float32_t mu

step size that controls filter coefficient updates.

uint16_t numTaps

number of coefficients in the filter.

float32_t* pCoeffs

points to the coefficient array. The array is of length numTaps.

float32_t* pState

points to the state variable array. The array is of length numTaps+blockSize-1.